The aRts Handbook
Prev | Chapter 2. aRts Tools | Next

# 2.10. mcopidl

The mcopidl command is the IDL file compiler for MCOP, the Multimedia Communication Protocol used by aRts. Interfaces in aRts are defined in IDL, a language independent Interface Definition Language. The mcopidl utility accepts an IDL file as input and generates C++ header and source files for a class implementing the interface. The command accepts the following syntax:

mcopidl [ `options` ] `filename`

The valid options are:

`-I `directory``

  Search in `directory` for includes.

`-e `name``

  Exclude a struct, interface, or enum type `name` from code generation.

`-t`

  Also create .mcoptype/.mcopclass files containing type information for the IDL file.

More information about MCOP and IDL is covered in the section Interfaces and IDL.

Prev | Home | Next
artsc-config | Up | aRts-builder